For the complete documentation index, see llms.txt. This page is also available as Markdown.

Presentations

Send a Presentation

post

This endpoint sends a presentation to a user based on their profileId

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
profileIdstringRequired
Body
presentationany ofRequired
or
Responses
200

Successful response

application/json
stringOptional
post/presentation/send/{profileId}
POST /api/presentation/send/{profileId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1569

{
  "presentation": {
    "@context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "verifiableCredential": {
      "@context": [
        "text"
      ],
      "id": "text",
      "type": [
        "text"
      ],
      "issuer": "text",
      "credentialSubject": {
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "refreshService": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "credentialSchema": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "issuanceDate": "text",
      "expirationDate": "text",
      "credentialStatus": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "name": "text",
      "description": "text",
      "validFrom": "text",
      "validUntil": "text",
      "status": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "termsOfUse": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "evidence": {
        "id": "text",
        "type": [
          "text"
        ],
        "name": "text",
        "narrative": "text",
        "description": "text",
        "genre": "text",
        "audience": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "renderMethod": {
        "type": "text",
        "renderSuite": "text",
        "template": "text",
        "renderProperty": [
          "text"
        ],
        "outputPreference": {
          "mediaType": "text"
        }
      },
      "proof": {
        "type": "text",
        "created": "text",
        "challenge": "text",
        "domain": "text",
        "nonce": "text",
        "proofPurpose": "text",
        "verificationMethod": "text",
        "jws": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "holder": "text",
    "proof": {
      "type": "text",
      "created": "text",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "proofPurpose": "text",
      "verificationMethod": "text",
      "jws": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
text

Accept a Presentation

post

This endpoint accepts a presentation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
uristringRequired
Responses
200

Successful response

application/json
booleanOptional
post/presentation/accept
POST /api/presentation/accept HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "uri": "text"
}
true

Get received presentations

get

This endpoint returns the current user's received presentations

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptionalDefault: 25
fromstringOptional
Responses
200

Successful response

application/json
uristringRequired
tostringRequired
fromstringRequired
sentstring · date-timeRequiredPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
receivedstring · date-timeOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
get/presentation/received
GET /api/presentation/received HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "uri": "text",
    "to": "text",
    "from": "text",
    "sent": "2026-01-01T00:00:00.000Z",
    "received": "2026-01-01T00:00:00.000Z",
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
]

Get sent presentations

get

This endpoint returns the current user's sent presentations

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptionalDefault: 25
tostringOptional
Responses
200

Successful response

application/json
uristringRequired
tostringRequired
fromstringRequired
sentstring · date-timeRequiredPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
receivedstring · date-timeOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
get/presentation/sent
GET /api/presentation/sent HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "uri": "text",
    "to": "text",
    "from": "text",
    "sent": "2026-01-01T00:00:00.000Z",
    "received": "2026-01-01T00:00:00.000Z",
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
]

Get incoming presentations

get

This endpoint returns the current user's incoming presentations

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptionalDefault: 25
fromstringOptional
Responses
200

Successful response

application/json
uristringRequired
tostringRequired
fromstringRequired
sentstring · date-timeRequiredPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
receivedstring · date-timeOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
get/presentation/incoming
GET /api/presentation/incoming HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "uri": "text",
    "to": "text",
    "from": "text",
    "sent": "2026-01-01T00:00:00.000Z",
    "received": "2026-01-01T00:00:00.000Z",
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
]

Delete a presentation

delete

This endpoint deletes a presentation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
uristringRequired
Responses
200

Successful response

application/json
booleanOptional
delete/presentation
DELETE /api/presentation?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
true

Last updated

Was this helpful?